BDA V4.0 to V4.1 Upgrade Fails at Step 7 on Sqoop2 upgrade with: Sqoop 2 Server roles running instead of minimum required 1

(Doc ID 1967799.1)

Last updated on FEBRUARY 25, 2015

Applies to:

Big Data Appliance Integrated Software - Version 4.1.0 and later
Linux x86-64

Symptoms

The BDA V4.0 to V4.1 upgrade fails at Step 7 due to  Sqoop2 upgrade failure.


The failure reported in CM is:

Service did not start successfully; not all of the required roles started: Service has only 0 Sqoop 2 Server roles running instead of minimum required 1.

The sqoop log reports ERROR org.apache.sqoop.core.SqoopServer Server startup failure caused by:

 org.apache.sqoop.common.SqoopException: REPO_0002:Repository structures are not in suitable state, might require upgrade
    at org.apache.sqoop.repository.RepositoryManager.initialize(RepositoryManager.java:129)
    at org.apache.sqoop.repository.RepositoryManager.initialize(RepositoryManager.java:77)
    at org.apache.sqoop.core.SqoopServer.initialize(SqoopServer.java:53)
    at org.apache.sqoop.server.ServerInitializer.contextInitialized(ServerInitializer.java:41)
    ...

 

Changes

Upgrade to BDA V4.1 from BDA V4.0.

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms